<?php
// Author: Eric Braswell, ebraswell@cobalt
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: arkeia.php,v 1.10 2000/12/02 00:43:39 jcheng Exp $

include("ServerScriptHelper.php");
include("User.php");
include("Meta.php");

$serverScriptHelper = new ServerScriptHelper();
$product = $serverScriptHelper->getProductCode();
$isMonterey = ereg("35[0-9][0-9]R", $product);

if ( $isMonterey && ! user_authok( $PHP_AUTH_USER, "admin")) {
	$serverScriptHelper->destructor();
	header("location: /.cobalt/error/forbidden.html");
	return;
}

$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("knox-arkeia", "/knox/arkeia/arkeiaHandler.php");

// get settings
$systemObj = $cceClient->getObject("System",array(),"Arkeia");

$page = $factory->getPage();

$block = $factory->getPagedBlock("arkeiaSettings");  // ID of settings

if (!$isMonterey) {
  // make host name
  $hostName = $factory->getDomainName("arkeiaHostField", $systemObj["arkeiaHost"]);
  $hostName->setOptional("silent"); 
  
  // port field
  $port = $factory->getInteger("port", $systemObj["port"], 1);
  
  // make option
  $option = $factory->getOption("enableServer", $systemObj["enable"]);
  
  // make multi choice
  $multiChoice = $factory->getMultiChoice("enableServer");
  
  // add host name to option
  $option->addFormField($hostName, $factory->getLabel("arkeiaHostField"));
  
  // add option to multi choice
  $multiChoice->addOption($option);
  
  // add multi choice to block
  $block->addFormField($multiChoice,  $factory->getLabel("enableServer"));
  
  
  // add port config to block
  $option->addFormField($port, $factory->getLabel("port"));
  
  
  $block->addButton($factory->getSaveButton($page->getSubmitAction()));

} else {
  // make host name
  $hostName = $factory->getDomainName("arkeiaHostField", $systemObj["arkeiaHost"]);	
 $hostName->setOptional("silent"); 
  
  // make enableButton
  $enableServer = $factory->getBoolean("enableServer", $systemObj["enable"]);

  // port field
  $port = $factory->getInteger("port", $systemObj["port"], 1);

  // add enable to block
  $block->addFormField($enableServer,  $factory->getLabel("enableServer"));
  
  // add host name to block
  $block->addFormField($hostName, $factory->getLabel("arkeiaHostField"));
  
  // add port field
  $block->addFormField($port, $factory->getLabel("port"));

  $block->addButton($factory->getSaveButton($page->getSubmitAction()));

}

$serverScriptHelper->destructor();
?>
<?php print($page->toHeaderHtml()); ?>

<?php print($block->toHtml()); ?>

<?php print($page->toFooterHtml()); ?>


